Bug 1307280 - LibRaw: FTBFS in rawhide
LibRaw: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: LibRaw (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 15:56 EST by Fedora Release Engineering
Modified: 2016-02-24 09:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-24 09:50:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (97.06 KB, text/plain)
2016-02-13 15:56 EST, Fedora Release Engineering
no flags Details
root.log (81.53 KB, text/plain)
2016-02-13 15:56 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-13 15:56 EST, Fedora Release Engineering
no flags Details
Build log, post patch (39.83 KB, text/plain)
2016-02-22 11:15 EST, Gwyn Ciesla
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 15:56:23 EST
Your package LibRaw failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12804333

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 15:56:26 EST
Created attachment 1123911 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 15:56:27 EST
Created attachment 1123912 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 15:56:28 EST
Created attachment 1123913 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-19 15:34:51 EST
Proposed fix: https://github.com/LibRaw/LibRaw/issues/56
Comment 5 Gwyn Ciesla 2016-02-22 11:15 EST
Created attachment 1129400 [details]
Build log, post patch

This fails:
Comment 6 Yaakov Selkowitz 2016-02-23 17:29:28 EST
dcraw/dcraw.c isn't actually built in LibRaw; instead, it is merged into internal/dcraw_common.cpp.  The first two hunks of that patch apply cleanly to the latter, and the third shouldn't be required.
Comment 7 Gwyn Ciesla 2016-02-24 09:07:16 EST
That helped, and it now builds on i386 and x86_64, but dies on ARM.

internal/dcraw_common.cpp: In member function 'void LibRaw::kodak_radc_load_raw()':
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-2' from 'int' to 'char' inside { } [-Wnarrowing]
   };
   ^
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-3' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-17' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-5' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-7' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-18' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-9' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-2' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-28' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-49' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-9' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-79' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-16' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-37' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-26' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-13' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-39' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-55' from 'int' to 'char' inside { } [-Wnarrowing]
internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-76' from 'int' to 'char' inside { } [-Wnarrowing]
Comment 8 Yaakov Selkowitz 2016-02-24 09:23:43 EST
(In reply to Jon Ciesla from comment #7)
> That helped, and it now builds on i386 and x86_64, but dies on ARM.
> 
> internal/dcraw_common.cpp: In member function 'void
> LibRaw::kodak_radc_load_raw()':
> internal/dcraw_common.cpp:2491:3: error: narrowing conversion of '-2' from
> 'int' to 'char' inside { } [-Wnarrowing]

'char' is unsigned on ARM; change that to use an explicit signed char[].
Comment 9 Jan Kurik 2016-02-24 09:31:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 10 Gwyn Ciesla 2016-02-24 09:50:45 EST
That works, thanks!

Note You need to log in before you can comment on or make changes to this bug.